Kea: isc::dns::BasicRRsetImpl Class Reference

| Kea 3.2.0-git

isc::dns::BasicRRsetImpl Class Reference

This encapsulates the actual implementation of the `BasicRRset` class. More...

## Public Member Functions
| BasicRRsetImpl (const Name &name, const RRClass &rrclass, const RRType &rrtype, const RRTTL &ttl)
uint32_t | toWire (AbstractMessageRenderer &renderer, size_t limit) const

## Public Attributes
Name | name_
vector< ConstRdataPtr > | rdatalist_
RRClass | rrclass_
RRType | rrtype_
RRTTL | ttl_

## Detailed Description

This encapsulates the actual implementation of the `BasicRRset` class.

It's hidden from applications.

Definition at line 161 of file rrset.cc.

## Constructor & Destructor Documentation

## ◆ BasicRRsetImpl()

isc::dns::BasicRRsetImpl::BasicRRsetImpl | ( | const Name & | name,
|  | const RRClass & | rrclass,
|  | const RRType & | rrtype,
|  | const RRTTL & | ttl )
| inline

Definition at line 163 of file rrset.cc.

References name_, rrclass_, rrtype_, and ttl_.

## Member Function Documentation

## ◆ toWire()

uint32_t isc::dns::BasicRRsetImpl::toWire | ( | AbstractMessageRenderer & | renderer,
|  | size_t | limit ) const

Definition at line 182 of file rrset.cc.

References isc::dns::RRClass::ANY(), isc::dns::AbstractMessageRenderer::getLength(), isc_throw, isc_throw_assert, name_, isc::dns::RRClass::NONE(), rdatalist_, rrclass_, rrtype_, isc::dns::AbstractMessageRenderer::skip(), isc::dns::AbstractMessageRenderer::trim(), ttl_, isc::dns::AbstractMessageRenderer::writeUint16(), and isc::dns::AbstractMessageRenderer::writeUint16At().

Here is the call graph for this function:

## Member Data Documentation

## ◆ name_

Name isc::dns::BasicRRsetImpl::name_

Definition at line 169 of file rrset.cc.

Referenced by BasicRRsetImpl(), and toWire().

## ◆ rdatalist_

vector<ConstRdataPtr> isc::dns::BasicRRsetImpl::rdatalist_

Definition at line 176 of file rrset.cc.

Referenced by toWire().

## ◆ rrclass_

RRClass isc::dns::BasicRRsetImpl::rrclass_

Definition at line 170 of file rrset.cc.

Referenced by BasicRRsetImpl(), and toWire().

## ◆ rrtype_

RRType isc::dns::BasicRRsetImpl::rrtype_

Definition at line 171 of file rrset.cc.

Referenced by BasicRRsetImpl(), and toWire().

## ◆ ttl_

RRTTL isc::dns::BasicRRsetImpl::ttl_

Definition at line 172 of file rrset.cc.

Referenced by BasicRRsetImpl(), and toWire().

The documentation for this class was generated from the following file:

- rrset.cc